Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network255.65.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
255.65.0.0
Broadcast address
255.65.127.255
First usable
255.65.0.1
Last usable
255.65.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex FF410000 · Integer 4282449920 to 4282482687
Reverse DNS zones
0.65.255.in-addr.arpa
1.65.255.in-addr.arpa
2.65.255.in-addr.arpa
3.65.255.in-addr.arpa
4.65.255.in-addr.arpa
5.65.255.in-addr.arpa
6.65.255.in-addr.arpa
7.65.255.in-addr.arpa
8.65.255.in-addr.arpa
9.65.255.in-addr.arpa
10.65.255.in-addr.arpa
11.65.255.in-addr.arpa
12.65.255.in-addr.arpa
13.65.255.in-addr.arpa
14.65.255.in-addr.arpa
15.65.255.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111111.01000001.00000000.00000000255.65.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11111111.01000001.00000000.00000000255.65.0.0
Broadcast11111111.01000001.01111111.11111111255.65.127.255
Split into smaller subnets/26

255.65.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1255.65.0.0/26255.65.0.1 to 255.65.0.62255.65.0.6362
2255.65.0.64/26255.65.0.65 to 255.65.0.126255.65.0.12762
3255.65.0.128/26255.65.0.129 to 255.65.0.190255.65.0.19162
4255.65.0.192/26255.65.0.193 to 255.65.0.254255.65.0.25562
5255.65.1.0/26255.65.1.1 to 255.65.1.62255.65.1.6362
6255.65.1.64/26255.65.1.65 to 255.65.1.126255.65.1.12762
7255.65.1.128/26255.65.1.129 to 255.65.1.190255.65.1.19162
8255.65.1.192/26255.65.1.193 to 255.65.1.254255.65.1.25562
9255.65.2.0/26255.65.2.1 to 255.65.2.62255.65.2.6362
10255.65.2.64/26255.65.2.65 to 255.65.2.126255.65.2.12762
11255.65.2.128/26255.65.2.129 to 255.65.2.190255.65.2.19162
12255.65.2.192/26255.65.2.193 to 255.65.2.254255.65.2.25562
13255.65.3.0/26255.65.3.1 to 255.65.3.62255.65.3.6362
14255.65.3.64/26255.65.3.65 to 255.65.3.126255.65.3.12762
15255.65.3.128/26255.65.3.129 to 255.65.3.190255.65.3.19162
16255.65.3.192/26255.65.3.193 to 255.65.3.254255.65.3.25562
17255.65.4.0/26255.65.4.1 to 255.65.4.62255.65.4.6362
18255.65.4.64/26255.65.4.65 to 255.65.4.126255.65.4.12762
19255.65.4.128/26255.65.4.129 to 255.65.4.190255.65.4.19162
20255.65.4.192/26255.65.4.193 to 255.65.4.254255.65.4.25562
21255.65.5.0/26255.65.5.1 to 255.65.5.62255.65.5.6362
22255.65.5.64/26255.65.5.65 to 255.65.5.126255.65.5.12762
23255.65.5.128/26255.65.5.129 to 255.65.5.190255.65.5.19162
24255.65.5.192/26255.65.5.193 to 255.65.5.254255.65.5.25562
25255.65.6.0/26255.65.6.1 to 255.65.6.62255.65.6.6362
26255.65.6.64/26255.65.6.65 to 255.65.6.126255.65.6.12762
27255.65.6.128/26255.65.6.129 to 255.65.6.190255.65.6.19162
28255.65.6.192/26255.65.6.193 to 255.65.6.254255.65.6.25562
29255.65.7.0/26255.65.7.1 to 255.65.7.62255.65.7.6362
30255.65.7.64/26255.65.7.65 to 255.65.7.126255.65.7.12762
31255.65.7.128/26255.65.7.129 to 255.65.7.190255.65.7.19162
32255.65.7.192/26255.65.7.193 to 255.65.7.254255.65.7.25562
33255.65.8.0/26255.65.8.1 to 255.65.8.62255.65.8.6362
34255.65.8.64/26255.65.8.65 to 255.65.8.126255.65.8.12762
35255.65.8.128/26255.65.8.129 to 255.65.8.190255.65.8.19162
36255.65.8.192/26255.65.8.193 to 255.65.8.254255.65.8.25562
37255.65.9.0/26255.65.9.1 to 255.65.9.62255.65.9.6362
38255.65.9.64/26255.65.9.65 to 255.65.9.126255.65.9.12762
39255.65.9.128/26255.65.9.129 to 255.65.9.190255.65.9.19162
40255.65.9.192/26255.65.9.193 to 255.65.9.254255.65.9.25562
41255.65.10.0/26255.65.10.1 to 255.65.10.62255.65.10.6362
42255.65.10.64/26255.65.10.65 to 255.65.10.126255.65.10.12762
43255.65.10.128/26255.65.10.129 to 255.65.10.190255.65.10.19162
44255.65.10.192/26255.65.10.193 to 255.65.10.254255.65.10.25562
45255.65.11.0/26255.65.11.1 to 255.65.11.62255.65.11.6362
46255.65.11.64/26255.65.11.65 to 255.65.11.126255.65.11.12762
47255.65.11.128/26255.65.11.129 to 255.65.11.190255.65.11.19162
48255.65.11.192/26255.65.11.193 to 255.65.11.254255.65.11.25562
49255.65.12.0/26255.65.12.1 to 255.65.12.62255.65.12.6362
50255.65.12.64/26255.65.12.65 to 255.65.12.126255.65.12.12762
51255.65.12.128/26255.65.12.129 to 255.65.12.190255.65.12.19162
52255.65.12.192/26255.65.12.193 to 255.65.12.254255.65.12.25562
53255.65.13.0/26255.65.13.1 to 255.65.13.62255.65.13.6362
54255.65.13.64/26255.65.13.65 to 255.65.13.126255.65.13.12762
55255.65.13.128/26255.65.13.129 to 255.65.13.190255.65.13.19162
56255.65.13.192/26255.65.13.193 to 255.65.13.254255.65.13.25562
57255.65.14.0/26255.65.14.1 to 255.65.14.62255.65.14.6362
58255.65.14.64/26255.65.14.65 to 255.65.14.126255.65.14.12762
59255.65.14.128/26255.65.14.129 to 255.65.14.190255.65.14.19162
60255.65.14.192/26255.65.14.193 to 255.65.14.254255.65.14.25562
61255.65.15.0/26255.65.15.1 to 255.65.15.62255.65.15.6362
62255.65.15.64/26255.65.15.65 to 255.65.15.126255.65.15.12762
63255.65.15.128/26255.65.15.129 to 255.65.15.190255.65.15.19162
64255.65.15.192/26255.65.15.193 to 255.65.15.254255.65.15.25562
65255.65.16.0/26255.65.16.1 to 255.65.16.62255.65.16.6362
66255.65.16.64/26255.65.16.65 to 255.65.16.126255.65.16.12762
67255.65.16.128/26255.65.16.129 to 255.65.16.190255.65.16.19162
68255.65.16.192/26255.65.16.193 to 255.65.16.254255.65.16.25562
69255.65.17.0/26255.65.17.1 to 255.65.17.62255.65.17.6362
70255.65.17.64/26255.65.17.65 to 255.65.17.126255.65.17.12762
71255.65.17.128/26255.65.17.129 to 255.65.17.190255.65.17.19162
72255.65.17.192/26255.65.17.193 to 255.65.17.254255.65.17.25562
73255.65.18.0/26255.65.18.1 to 255.65.18.62255.65.18.6362
74255.65.18.64/26255.65.18.65 to 255.65.18.126255.65.18.12762
75255.65.18.128/26255.65.18.129 to 255.65.18.190255.65.18.19162
76255.65.18.192/26255.65.18.193 to 255.65.18.254255.65.18.25562
77255.65.19.0/26255.65.19.1 to 255.65.19.62255.65.19.6362
78255.65.19.64/26255.65.19.65 to 255.65.19.126255.65.19.12762
79255.65.19.128/26255.65.19.129 to 255.65.19.190255.65.19.19162
80255.65.19.192/26255.65.19.193 to 255.65.19.254255.65.19.25562
81255.65.20.0/26255.65.20.1 to 255.65.20.62255.65.20.6362
82255.65.20.64/26255.65.20.65 to 255.65.20.126255.65.20.12762
83255.65.20.128/26255.65.20.129 to 255.65.20.190255.65.20.19162
84255.65.20.192/26255.65.20.193 to 255.65.20.254255.65.20.25562
85255.65.21.0/26255.65.21.1 to 255.65.21.62255.65.21.6362
86255.65.21.64/26255.65.21.65 to 255.65.21.126255.65.21.12762
87255.65.21.128/26255.65.21.129 to 255.65.21.190255.65.21.19162
88255.65.21.192/26255.65.21.193 to 255.65.21.254255.65.21.25562
89255.65.22.0/26255.65.22.1 to 255.65.22.62255.65.22.6362
90255.65.22.64/26255.65.22.65 to 255.65.22.126255.65.22.12762
91255.65.22.128/26255.65.22.129 to 255.65.22.190255.65.22.19162
92255.65.22.192/26255.65.22.193 to 255.65.22.254255.65.22.25562
93255.65.23.0/26255.65.23.1 to 255.65.23.62255.65.23.6362
94255.65.23.64/26255.65.23.65 to 255.65.23.126255.65.23.12762
95255.65.23.128/26255.65.23.129 to 255.65.23.190255.65.23.19162
96255.65.23.192/26255.65.23.193 to 255.65.23.254255.65.23.25562
97255.65.24.0/26255.65.24.1 to 255.65.24.62255.65.24.6362
98255.65.24.64/26255.65.24.65 to 255.65.24.126255.65.24.12762
99255.65.24.128/26255.65.24.129 to 255.65.24.190255.65.24.19162
100255.65.24.192/26255.65.24.193 to 255.65.24.254255.65.24.25562
101255.65.25.0/26255.65.25.1 to 255.65.25.62255.65.25.6362
102255.65.25.64/26255.65.25.65 to 255.65.25.126255.65.25.12762
103255.65.25.128/26255.65.25.129 to 255.65.25.190255.65.25.19162
104255.65.25.192/26255.65.25.193 to 255.65.25.254255.65.25.25562
105255.65.26.0/26255.65.26.1 to 255.65.26.62255.65.26.6362
106255.65.26.64/26255.65.26.65 to 255.65.26.126255.65.26.12762
107255.65.26.128/26255.65.26.129 to 255.65.26.190255.65.26.19162
108255.65.26.192/26255.65.26.193 to 255.65.26.254255.65.26.25562
109255.65.27.0/26255.65.27.1 to 255.65.27.62255.65.27.6362
110255.65.27.64/26255.65.27.65 to 255.65.27.126255.65.27.12762
111255.65.27.128/26255.65.27.129 to 255.65.27.190255.65.27.19162
112255.65.27.192/26255.65.27.193 to 255.65.27.254255.65.27.25562
113255.65.28.0/26255.65.28.1 to 255.65.28.62255.65.28.6362
114255.65.28.64/26255.65.28.65 to 255.65.28.126255.65.28.12762
115255.65.28.128/26255.65.28.129 to 255.65.28.190255.65.28.19162
116255.65.28.192/26255.65.28.193 to 255.65.28.254255.65.28.25562
117255.65.29.0/26255.65.29.1 to 255.65.29.62255.65.29.6362
118255.65.29.64/26255.65.29.65 to 255.65.29.126255.65.29.12762
119255.65.29.128/26255.65.29.129 to 255.65.29.190255.65.29.19162
120255.65.29.192/26255.65.29.193 to 255.65.29.254255.65.29.25562
121255.65.30.0/26255.65.30.1 to 255.65.30.62255.65.30.6362
122255.65.30.64/26255.65.30.65 to 255.65.30.126255.65.30.12762
123255.65.30.128/26255.65.30.129 to 255.65.30.190255.65.30.19162
124255.65.30.192/26255.65.30.193 to 255.65.30.254255.65.30.25562
125255.65.31.0/26255.65.31.1 to 255.65.31.62255.65.31.6362
126255.65.31.64/26255.65.31.65 to 255.65.31.126255.65.31.12762
127255.65.31.128/26255.65.31.129 to 255.65.31.190255.65.31.19162
128255.65.31.192/26255.65.31.193 to 255.65.31.254255.65.31.25562
129255.65.32.0/26255.65.32.1 to 255.65.32.62255.65.32.6362
130255.65.32.64/26255.65.32.65 to 255.65.32.126255.65.32.12762
131255.65.32.128/26255.65.32.129 to 255.65.32.190255.65.32.19162
132255.65.32.192/26255.65.32.193 to 255.65.32.254255.65.32.25562
133255.65.33.0/26255.65.33.1 to 255.65.33.62255.65.33.6362
134255.65.33.64/26255.65.33.65 to 255.65.33.126255.65.33.12762
135255.65.33.128/26255.65.33.129 to 255.65.33.190255.65.33.19162
136255.65.33.192/26255.65.33.193 to 255.65.33.254255.65.33.25562
137255.65.34.0/26255.65.34.1 to 255.65.34.62255.65.34.6362
138255.65.34.64/26255.65.34.65 to 255.65.34.126255.65.34.12762
139255.65.34.128/26255.65.34.129 to 255.65.34.190255.65.34.19162
140255.65.34.192/26255.65.34.193 to 255.65.34.254255.65.34.25562
141255.65.35.0/26255.65.35.1 to 255.65.35.62255.65.35.6362
142255.65.35.64/26255.65.35.65 to 255.65.35.126255.65.35.12762
143255.65.35.128/26255.65.35.129 to 255.65.35.190255.65.35.19162
144255.65.35.192/26255.65.35.193 to 255.65.35.254255.65.35.25562
145255.65.36.0/26255.65.36.1 to 255.65.36.62255.65.36.6362
146255.65.36.64/26255.65.36.65 to 255.65.36.126255.65.36.12762
147255.65.36.128/26255.65.36.129 to 255.65.36.190255.65.36.19162
148255.65.36.192/26255.65.36.193 to 255.65.36.254255.65.36.25562
149255.65.37.0/26255.65.37.1 to 255.65.37.62255.65.37.6362
150255.65.37.64/26255.65.37.65 to 255.65.37.126255.65.37.12762
151255.65.37.128/26255.65.37.129 to 255.65.37.190255.65.37.19162
152255.65.37.192/26255.65.37.193 to 255.65.37.254255.65.37.25562
153255.65.38.0/26255.65.38.1 to 255.65.38.62255.65.38.6362
154255.65.38.64/26255.65.38.65 to 255.65.38.126255.65.38.12762
155255.65.38.128/26255.65.38.129 to 255.65.38.190255.65.38.19162
156255.65.38.192/26255.65.38.193 to 255.65.38.254255.65.38.25562
157255.65.39.0/26255.65.39.1 to 255.65.39.62255.65.39.6362
158255.65.39.64/26255.65.39.65 to 255.65.39.126255.65.39.12762
159255.65.39.128/26255.65.39.129 to 255.65.39.190255.65.39.19162
160255.65.39.192/26255.65.39.193 to 255.65.39.254255.65.39.25562
161255.65.40.0/26255.65.40.1 to 255.65.40.62255.65.40.6362
162255.65.40.64/26255.65.40.65 to 255.65.40.126255.65.40.12762
163255.65.40.128/26255.65.40.129 to 255.65.40.190255.65.40.19162
164255.65.40.192/26255.65.40.193 to 255.65.40.254255.65.40.25562
165255.65.41.0/26255.65.41.1 to 255.65.41.62255.65.41.6362
166255.65.41.64/26255.65.41.65 to 255.65.41.126255.65.41.12762
167255.65.41.128/26255.65.41.129 to 255.65.41.190255.65.41.19162
168255.65.41.192/26255.65.41.193 to 255.65.41.254255.65.41.25562
169255.65.42.0/26255.65.42.1 to 255.65.42.62255.65.42.6362
170255.65.42.64/26255.65.42.65 to 255.65.42.126255.65.42.12762
171255.65.42.128/26255.65.42.129 to 255.65.42.190255.65.42.19162
172255.65.42.192/26255.65.42.193 to 255.65.42.254255.65.42.25562
173255.65.43.0/26255.65.43.1 to 255.65.43.62255.65.43.6362
174255.65.43.64/26255.65.43.65 to 255.65.43.126255.65.43.12762
175255.65.43.128/26255.65.43.129 to 255.65.43.190255.65.43.19162
176255.65.43.192/26255.65.43.193 to 255.65.43.254255.65.43.25562
177255.65.44.0/26255.65.44.1 to 255.65.44.62255.65.44.6362
178255.65.44.64/26255.65.44.65 to 255.65.44.126255.65.44.12762
179255.65.44.128/26255.65.44.129 to 255.65.44.190255.65.44.19162
180255.65.44.192/26255.65.44.193 to 255.65.44.254255.65.44.25562
181255.65.45.0/26255.65.45.1 to 255.65.45.62255.65.45.6362
182255.65.45.64/26255.65.45.65 to 255.65.45.126255.65.45.12762
183255.65.45.128/26255.65.45.129 to 255.65.45.190255.65.45.19162
184255.65.45.192/26255.65.45.193 to 255.65.45.254255.65.45.25562
185255.65.46.0/26255.65.46.1 to 255.65.46.62255.65.46.6362
186255.65.46.64/26255.65.46.65 to 255.65.46.126255.65.46.12762
187255.65.46.128/26255.65.46.129 to 255.65.46.190255.65.46.19162
188255.65.46.192/26255.65.46.193 to 255.65.46.254255.65.46.25562
189255.65.47.0/26255.65.47.1 to 255.65.47.62255.65.47.6362
190255.65.47.64/26255.65.47.65 to 255.65.47.126255.65.47.12762
191255.65.47.128/26255.65.47.129 to 255.65.47.190255.65.47.19162
192255.65.47.192/26255.65.47.193 to 255.65.47.254255.65.47.25562
193255.65.48.0/26255.65.48.1 to 255.65.48.62255.65.48.6362
194255.65.48.64/26255.65.48.65 to 255.65.48.126255.65.48.12762
195255.65.48.128/26255.65.48.129 to 255.65.48.190255.65.48.19162
196255.65.48.192/26255.65.48.193 to 255.65.48.254255.65.48.25562
197255.65.49.0/26255.65.49.1 to 255.65.49.62255.65.49.6362
198255.65.49.64/26255.65.49.65 to 255.65.49.126255.65.49.12762
199255.65.49.128/26255.65.49.129 to 255.65.49.190255.65.49.19162
200255.65.49.192/26255.65.49.193 to 255.65.49.254255.65.49.25562
201255.65.50.0/26255.65.50.1 to 255.65.50.62255.65.50.6362
202255.65.50.64/26255.65.50.65 to 255.65.50.126255.65.50.12762
203255.65.50.128/26255.65.50.129 to 255.65.50.190255.65.50.19162
204255.65.50.192/26255.65.50.193 to 255.65.50.254255.65.50.25562
205255.65.51.0/26255.65.51.1 to 255.65.51.62255.65.51.6362
206255.65.51.64/26255.65.51.65 to 255.65.51.126255.65.51.12762
207255.65.51.128/26255.65.51.129 to 255.65.51.190255.65.51.19162
208255.65.51.192/26255.65.51.193 to 255.65.51.254255.65.51.25562
209255.65.52.0/26255.65.52.1 to 255.65.52.62255.65.52.6362
210255.65.52.64/26255.65.52.65 to 255.65.52.126255.65.52.12762
211255.65.52.128/26255.65.52.129 to 255.65.52.190255.65.52.19162
212255.65.52.192/26255.65.52.193 to 255.65.52.254255.65.52.25562
213255.65.53.0/26255.65.53.1 to 255.65.53.62255.65.53.6362
214255.65.53.64/26255.65.53.65 to 255.65.53.126255.65.53.12762
215255.65.53.128/26255.65.53.129 to 255.65.53.190255.65.53.19162
216255.65.53.192/26255.65.53.193 to 255.65.53.254255.65.53.25562
217255.65.54.0/26255.65.54.1 to 255.65.54.62255.65.54.6362
218255.65.54.64/26255.65.54.65 to 255.65.54.126255.65.54.12762
219255.65.54.128/26255.65.54.129 to 255.65.54.190255.65.54.19162
220255.65.54.192/26255.65.54.193 to 255.65.54.254255.65.54.25562
221255.65.55.0/26255.65.55.1 to 255.65.55.62255.65.55.6362
222255.65.55.64/26255.65.55.65 to 255.65.55.126255.65.55.12762
223255.65.55.128/26255.65.55.129 to 255.65.55.190255.65.55.19162
224255.65.55.192/26255.65.55.193 to 255.65.55.254255.65.55.25562
225255.65.56.0/26255.65.56.1 to 255.65.56.62255.65.56.6362
226255.65.56.64/26255.65.56.65 to 255.65.56.126255.65.56.12762
227255.65.56.128/26255.65.56.129 to 255.65.56.190255.65.56.19162
228255.65.56.192/26255.65.56.193 to 255.65.56.254255.65.56.25562
229255.65.57.0/26255.65.57.1 to 255.65.57.62255.65.57.6362
230255.65.57.64/26255.65.57.65 to 255.65.57.126255.65.57.12762
231255.65.57.128/26255.65.57.129 to 255.65.57.190255.65.57.19162
232255.65.57.192/26255.65.57.193 to 255.65.57.254255.65.57.25562
233255.65.58.0/26255.65.58.1 to 255.65.58.62255.65.58.6362
234255.65.58.64/26255.65.58.65 to 255.65.58.126255.65.58.12762
235255.65.58.128/26255.65.58.129 to 255.65.58.190255.65.58.19162
236255.65.58.192/26255.65.58.193 to 255.65.58.254255.65.58.25562
237255.65.59.0/26255.65.59.1 to 255.65.59.62255.65.59.6362
238255.65.59.64/26255.65.59.65 to 255.65.59.126255.65.59.12762
239255.65.59.128/26255.65.59.129 to 255.65.59.190255.65.59.19162
240255.65.59.192/26255.65.59.193 to 255.65.59.254255.65.59.25562
241255.65.60.0/26255.65.60.1 to 255.65.60.62255.65.60.6362
242255.65.60.64/26255.65.60.65 to 255.65.60.126255.65.60.12762
243255.65.60.128/26255.65.60.129 to 255.65.60.190255.65.60.19162
244255.65.60.192/26255.65.60.193 to 255.65.60.254255.65.60.25562
245255.65.61.0/26255.65.61.1 to 255.65.61.62255.65.61.6362
246255.65.61.64/26255.65.61.65 to 255.65.61.126255.65.61.12762
247255.65.61.128/26255.65.61.129 to 255.65.61.190255.65.61.19162
248255.65.61.192/26255.65.61.193 to 255.65.61.254255.65.61.25562
249255.65.62.0/26255.65.62.1 to 255.65.62.62255.65.62.6362
250255.65.62.64/26255.65.62.65 to 255.65.62.126255.65.62.12762
251255.65.62.128/26255.65.62.129 to 255.65.62.190255.65.62.19162
252255.65.62.192/26255.65.62.193 to 255.65.62.254255.65.62.25562
253255.65.63.0/26255.65.63.1 to 255.65.63.62255.65.63.6362
254255.65.63.64/26255.65.63.65 to 255.65.63.126255.65.63.12762
255255.65.63.128/26255.65.63.129 to 255.65.63.190255.65.63.19162
256255.65.63.192/26255.65.63.193 to 255.65.63.254255.65.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses